<?php
/*################################################
@author: Code Tecnologia
@date: 15/04/2019
@version: 1.00
@purpose: Classe responsavel por retornar dados do CEP baseado no CEP e LOCALE

Resposta esperada para locale PT:
{ 
"erro": false,
"mensagem":"",
"endereco": {
        "cep":640941,
        "estado":"Hokkaido",
        "cidade":"Chuo-ku, Sapporo",
        "bairro":"Asahigaoka",
        "zone_id":"1668",
   }
}


Resposta esperada para locale JA:
{ 
"erro": false,
"mensagem":"",
"endereco": {
        "cep":640941,
        "estado":"北海道",
        "cidade":"札幌市中央区",
        "bairro":"旭ケ丘",
        "zone_id":"1668",
   }
}

*/
  
################################################*/
$url = "https://jp.saudeesabor.co.jp/image/";

include_once("connect3.php");

	mysqli_query($conexao,"SET NAMES 'utf8'");
    mysqli_query($conexao,'SET character_set_connection=utf8');
    mysqli_query($conexao,'SET character_set_client=utf8');
    mysqli_query($conexao,'SET character_set_results=utf8');

//Funcao para exibir o json
function exibir_json($json){
    $echo_json = json_encode($json);
    $json = array_map('utf8_encode', $json);
	echo $echo_json;
}


//Verificando se a mensagem foi transmitida por POST
if(strcasecmp($_SERVER['REQUEST_METHOD'], 'POST') != 0){  
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O formato recebido não é um POST');
    //$json = json_encode($status);
	exibir_json($status);
    exit(0);
}

//Verificando se o Content-type é 'application/json'
/*
$contentType = isset($_SERVER["CONTENT_TYPE"]) ? trim($_SERVER["CONTENT_TYPE"]) : '';
if(strcasecmp($contentType, 'application/json') != 0){
    $status = array(
				'erro' => 'true',
				'mensagem' => 'O tipo da mensagem está incorreto.');
    $json = json_encode($status);
	exibir_json($json);
    exit(0);
}
*/



//recebendo a requisicao
$content = file_get_contents("php://input");
$content = utf8_encode($content); //evita erros

  //obtendo informacoes do Header da mensagem

    /*
    $locale = isset($_SERVER["HTTP_LOCALE"]) ? trim($_SERVER["HTTP_LOCALE"])    : '';//pegando o locale (pt ou ja) do header 
    $estado = isset($_SERVER["HTTP_ESTADO"]) ? trim($_SERVER["HTTP_ESTADO"])    : '';//pegando o cep do header
*/

    //$v_customer_id      = isset($_POST["v_customer_id"])    ? trim($_POST["v_customer_id"])      : 0;
    $locale = isset($_POST["LOCALE"]) ? trim($_POST["LOCALE"])    : '';//pegando o locale (pt ou ja) do header 
//    $estado = isset($_POST["ESTADO"]) ? trim($_POST["ESTADO"])    : '';//pegando o cep do header    
    

/*Checando dados obrigatórios*/  
    if(empty($locale)){
      $status = array(
				'erro' => 'true',
				'mensagem' => 'Locale não informado');
      //$json = json_encode($status);
      //enviarCurl($url,$json);
	  exibir_json($status);
      
    }else{
      
        //Aceitou o TERMO deve ser tratado. Substituir o "1" pelo tratamento correto.
        //Verifica o locale
        

    $consulta_formas_pagamento =  "select * from code_forma_pagamento
                                    where st_ativo = 1
                                      and language_id = (select language_id 
                                                           from oc_language 
                                                          where locale like concat('%','$locale','%'))"; 
        
        }

        
/*
echo $consulta_formas_pagamento;
exit;
*/


        $formas = array(
                        'formas_pagamento'    => ''
                    );             

        $result = mysqli_query($conexao, $consulta_formas_pagamento) or die(mysqli_error($conexao));
        if(mysqli_num_rows($result)>0){
            while($row = mysqli_fetch_assoc($result)){

                $forma['id']        = $row['id'];
                $forma['forma']     = $row['forma'];
                $forma['st_paypal'] = $row['st_paypal'];

                $formas_list[] = $forma;
            }
                $status = array( 'erro'     => 'false'
                                ,'mensagem' => ''
                                ,'formas_pagamento'  => $formas_list 
                                );

                $json = json_encode($status);
				
            	echo $json;
                exit(0);
                
            
        }else{
            $status = array(
				'erro' => 'true',
				'mensagem' => 'Formas de pagamento não localizados, verifique se o Locale foi informado');
                //$json = json_encode($status);
            	exibir_json($status); 
        }
  
    
	


?>